Restorable Dropped Databases - Get
Ruft eine gelöschte Datenbank ab, die wiederhergestellt werden kann
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/restorableDroppedDatabases/{restorableDroppededDatabaseId}?api-version=2014-04-01
URI-Parameter
| Name | In | Erforderlich | Typ | Beschreibung |
|---|---|---|---|---|
|
resource
|
path | True |
string |
Der Name der Ressourcengruppe, die die Ressource enthält. Sie können diesen Wert aus der Azure Resource Manager-API oder dem Portal abrufen. |
|
restorable
|
path | True |
string |
Die ID der gelöschten Datenbank in Form von databaseName,deleteTimeInFileTimeFormat |
|
server
|
path | True |
string |
Der Name des Servers. |
|
subscription
|
path | True |
string |
Die Abonnement-ID, die ein Azure-Abonnement identifiziert. |
|
api-version
|
query | True |
string |
Die API-Version, die für die Anforderung verwendet werden soll. |
Antworten
| Name | Typ | Beschreibung |
|---|---|---|
| 200 OK |
OKAY |
Beispiele
Get a restorable dropped database
Beispielanforderung
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/restorabledroppeddatabasetest-1257/providers/Microsoft.Sql/servers/restorabledroppeddatabasetest-2389/restorableDroppedDatabases/restorabledroppeddatabasetest-7654,131403269876900000?api-version=2014-04-01
Beispiel für eine Antwort
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/restorabledroppeddatabasetest-1257/providers/Microsoft.Sql/servers/restorabledroppeddatabasetest-2389/restorableDroppedDatabases/restorabledroppeddatabasetest-7654,131403269876900000",
"name": "restorabledroppeddatabasetest-7654,131403269876900000",
"type": "Microsoft.Sql/servers/restorableDroppedDatabases",
"location": "Japan East",
"properties": {
"databaseName": "restorabledroppeddatabasetest-7654",
"edition": "Basic",
"maxSizeBytes": "2147483648",
"serviceLevelObjective": "Basic",
"elasticPoolName": null,
"creationDate": "2017-02-10T00:56:19.2Z",
"deletionDate": "2017-05-27T02:49:47.69Z",
"earliestRestoreDate": "2017-05-20T02:49:47.69Z"
}
}
Definitionen
RestorableDroppedDatabase
Eine wiederherstellbare verworfene Datenbank
| Name | Typ | Beschreibung |
|---|---|---|
| id |
string |
Ressourcen-ID. |
| location |
string |
Der geografische Standort, an dem sich die Ressource befindet |
| name |
string |
Ressourcenname. |
| properties.creationDate |
string (date-time) |
Erstellungsdatum der Datenbank (ISO8601 Format) |
| properties.databaseName |
string |
Der Name der Datenbank |
| properties.deletionDate |
string (date-time) |
Das Löschdatum der Datenbank (ISO8601 Format) |
| properties.earliestRestoreDate |
string (date-time) |
Das früheste Wiederherstellungsdatum der Datenbank (ISO8601 Format) |
| properties.edition |
string |
Die Ausgabe der Datenbank |
| properties.elasticPoolName |
string |
Der Name des elastischen Pools der Datenbank |
| properties.maxSizeBytes |
string |
Die maximale Größe in Byte der Datenbank |
| properties.serviceLevelObjective |
string |
Der Zielname der Dienstebene der Datenbank |
| type |
string |
Ressourcentyp. |